import os, sys, arcpy

# get params
folder = arcpy.GetParameterAsText(0)
fc1 = arcpy.GetParameterAsText(1)
fc2 = arcpy.GetParameterAsText(2)
fc3 = arcpy.GetParameterAsText(3)

# your 1st and 2nd stage erase outputs
output = arcpy.GetParameterAsText(4)
testout = arcpy.GetParameterAsText(5)

# list and iterate the gdbs
arcpy.env.workspace = folder
gdbs = arcpy.ListWorkspaces(workspace_type='FileGDB')
arcpy.AddMessage(str(gdbs))

for gdb in gdbs:
    arcpy.env.workspace = gdb
    arcpy.Erase_analysis(fc1, fc2, output)
    arcpy.Erase_analysis(output, fc3, testout)
    arcpy.AddMessage('completed erase for {0}'.format(gdb))
